<?php
if ($formatcetak == 'excel') {
    header("Content-type: application/vnd-ms-excel");
    header("Content-Disposition: attachment; filename=cetakpiutang.xls");
}

ini_set("max_execution_time", 5000);
ini_set('memory_limit', '1024M');

?>

<html>
    <body>
        
        <div>
            <table width="100%">
                <tr>
                    <td width="10%" style="border: 1px solid #fff;"><img src="<?= $ar_pemda->s_logo ?>" width="50"></td>
                    <td style="text-align:center; padding-right: 10%;border: 1px solid #fff;">
                        <span style="font-size:13pt;font-weight: BOLD;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></span><br>
                        <span style="font-size:15pt;font-weight: BOLD;"><?= strtoupper($ar_pemda->s_namainstansi); ?></span><br>
                        <span style="font-size:10pt;"><?= $ar_pemda->s_alamatinstansi; ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
                    </td>
                </tr>
            </table>
            <hr style="line-height: 1px; color: black">
            <h2 style="text-align: center;font-size:13pt;font-family:sans-serif;">DAFTAR PIUTANG<br>
            Periode Piutang : <?= $periodepiutang ?>
            </h2>
            
            <?php if (!empty($kecamatan)) { ?>
                Kecamatan : <?= $kecamatan->s_namakec ?><br>
            <?php } ?>
            <?php if (!empty($kelurahan)) { ?>
                Kelurahan : <?= $kelurahan->s_namakel ?><br>
            <?php } ?>
            <table width="100%" cellpadding="3" class="font_sembilan" style="text-align: center">
                <tr style="background:#ccc;">
                    <th class="border_atas border_bawah border_kanan border_kiri">
                        NO
                    </th>
                    <th>
                        NAMA WAJIB PAJAK
                    </th>
                    <th>
                        NPWPD
                    </th>
                    <th>
                        NAMA OBJEK
                    </th>
                    <th>
                        TGL PENETAPAN
                    </th>
                    <th>
                        JENIS PAJAK
                    </th>
                    <th>
                        MASA PAJAK
                    </th>
                    <th>
                        JUMLAH
                    </th>
                </tr>
                <?php
                $totalpendataan = 0;
                $totalpembayaran = 0;
                $counter = 1;
                foreach ($this->data as $k => $v) {
                    if ($formatcetak == 'pdf'){
                        $jumlah_piutang = number_format($v['t_jmlhpajak'] - $v['t_jmlhpembayaran'], 0, ',', '.');
                    }elseif ($formatcetak == 'excel'){
                        $jumlah_piutang = ($v['t_jmlhpajak'] - $v['t_jmlhpembayaran']);
                    }
                    ?>
                    <tr>
                        <td>
                            <?= $counter ?>
                        </td>
                        <td style="text-align: left">
                            <?= $v['t_nama'] ?>
                        </td>
                        <td>
                            <?= $v['t_npwpd'] ?>
                        </td>
                        <td style="text-align: left">
                            <?= $v['t_namaobjek'] ?>
                        </td>
                        <td>
                            <?= date('d-m-Y', strtotime($v['t_tglpendataan'])) ?>
                        </td>
                        <td style="text-align: left">
                            <?= $v['s_namajenis'] ?>
                        </td>
                        <td>
                            <?= date('d-m-Y', strtotime($v['t_masaawal'])) . " s/d " . date('d-m-Y', strtotime($v['t_masaakhir'])) ?>
                        </td>
                        <td style="text-align: right">
                            <?= $jumlah_piutang ?>
                        </td>
                    </tr>
                    <?php
                    $totalpendataan += $v['t_jmlhpajak'];
                    $totalpembayaran += $v['t_jmlhpembayaran'];
                    $counter++;
                }
                ?>
                <tr>
                    <th colspan="7" style="text-align: center;">
                        JUMLAH PIUTANG TAHUN <?= $periodepiutang ?>
                    </th>
                    <th style="text-align: right">
                        <?php if ($formatcetak == 'pdf'){ 
                                $total_piutang = number_format($totalpendataan - $totalpembayaran, 0, ',', '.');
                            }elseif ($formatcetak == 'excel'){
                                $total_piutang = ($totalpendataan - $totalpembayaran);
                            }?>
                        <?= $total_piutang ?>
                    </th>
                </tr>
            </table>
        </div>


        <?php if ($formatcetak == 'pdf') { ?>
        <htmlpagefooter name="MyCustomFooter">
        <table style="vertical-align: bottom; font-family:sans-serif;font-size: 7pt;" width="100%">
                <tbody>
                    <tr>
                            <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                        <td style="font-style: italic;text-align: left;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                        <td style="font-style: italic;text-align: right;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                    </tr>
                </tbody>
            </table>
        </htmlpagefooter>
        <?php } ?>
    </body>
</html>

<style type="text/css" media="print">
    table, th, td {
        font-family: sans-serif;
        border: 1px solid black;
        border-collapse: collapse;
    }
    .font_empatbelas {
        font-size: 14pt;
    }    
    @page{
                /* ensure you append the header/footer name with 'html_' */
                header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
                footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
            }
</style>